/***
 * Excerpted from "Xcode Treasures",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/caxcode for more book information.
***/
//
//  BuggyCFunctions.c
//  AddressSanitizerDemo
//
//  Created by Chris Adamson on 12/28/17.
//  Copyright © 2017 Subsequently & Furthermore, Inc. All rights reserved.
//

#include "BuggyCFunctions.h"
#import <CoreFoundation/CoreFoundation.h>

void performBufferOverflow(void) {
  UInt32 *buffer = calloc(1, sizeof(UInt32));
  buffer[0] = 42;
  buffer[1] = 9999999;
  free(buffer);
}

void accessDeallocatedMemory(void) {
  UInt32 *buffer = calloc(1, sizeof(UInt32));
  free(buffer);
  buffer[0] = 42;
}
